summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorFrancois Truphemus (melchips)2015-07-06 22:36:22 +0200
committerFrancois Truphemus (melchips)2015-07-06 22:36:22 +0200
commitc81da1c27e6b5510b9929544dfec85464cae8129 (patch)
tree9504aef3f83d291aa61aedbd7c6ee5f726255450 /PKGBUILD
downloadaur-tortosa-git.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..394348224f1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: melchips <truphemus dot francois at gmail dot com>
+pkgname=tortosa-git
+pkgver=r34.5bc1850
+pkgrel=1
+pkgdesc="Terminal emulator based on the vte3 library"
+arch=('i686' 'x86_64')
+url="https://github.com/cedlemo/Tortosa"
+license=('MIT')
+depends=('gtk3' 'vte3')
+makedepends=('git')
+source=(tortosa::git+https://github.com/cedlemo/Tortosa.git)
+provides=("tortosa")
+conflicts=("tortosa")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/tortosa"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/tortosa"
+ ./autogen.sh
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$srcdir/tortosa"
+ make DESTDIR=$pkgdir install
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}